cancel
Showing results for 
Search instead for 
Did you mean: 

BE 10d Engine keeps crashing when restoring

lulu33
Level 2

I know I have a very old version, but it is what it is... I am trying to restore a mailbox from mailbox level backup, and the engine crashes every single time. Tried to look for the Service Packs and Patches, but cannot find them available anymore. This is really important, b/c I have about 200 maiboxes in this backup, and need to get to them. Any advice is greatly appreciated.

Regards,
Luc

Version 10.1 Rev. 5629

10 REPLIES 10

CraigV
Moderator
Moderator
Partner    VIP    Accredited

Hi Luc,

Try duplicating the Information Store to disk first. Once there, use a product like Kernel For Exchange to crack open the *.edb and restore the email.

Thanks!

Colin_Weaver
Moderator
Moderator
Employee Accredited Certified

Unfortunately 10D did not support Exchange GRT backups which means a duplicate to disk probably won't provide an EDB file. - however if you are using 2010 and not 10D then GRT was available so Craig's suggstion could then work (as long as you were running GRT enabled backups)

 

10D would have used brick-level backups and I believe you may need the original Exchange version available and running in order to perform a restore from a brick-level backup.

Colin_Weaver
Moderator
Moderator
Employee Accredited Certified

Oh and I just checked build 10.1.5629 is the last of the 10D versions and not one of the 2010 versions  (which are 13.0.xxxx)

Marianne
Moderator
Moderator
Partner    VIP    Accredited Certified

Can we assume that you are referring to "Legacy Backup of Exchange mailboxes" as explained in http://www.veritas.com/docs/000032338   ?

The reason why you cannot find any Service Packs and/or Patches is because BE10 ran out of support many years ago: http://www.veritas.com/docs/000116356

Same as for W2003 updates and probably your version of Exchange as well.

Have you tried to restore a full database backup to Recovery DB? 
The method is different for the various Exchange versions. You need to look for documentation relevant to your Exch version.

lulu33
Level 2

Thank you for you replies, everyone!

This was a mailbox-level backup done 18 months ago, right before moving to Office365. Of course that Inactive users were not migrated, and of course that the mailbox I am looking for is from one of them. I still have the original Mail Stores, but they seem corrupted and won't mount in Exchange 2003. I will have a look at Kernel for Exchange... thanks for the suggestion.

I also have a full backup of the MailStores and tried to do a Recovery Restore to the Exchange. Same error, same crash... "Faulting application bengine.exe, version 10.1.5629.0, faulting module catcommon.dll, version 10.1.5629.0, fault address 0x0000ed01." Event ID 1000

Colin_Weaver
Moderator
Moderator
Employee Accredited Certified

Was the backup from Exchange 2003 or something older as you can only restore to the same version of Exchange

Yes. It was a backup from Exchange 2003 and trying to restore to the same.

Marianne
Moderator
Moderator
Partner    VIP    Accredited Certified

I have Google'd "Faulting application bengine.exe faulting module catcommon.dll"

It found a couple of TNs related to fixes for BE2010 and BE2012.
Nothing for BE10.
http://www.veritas.com/docs/000088135

 I do not see a solution for your BE10d version... 

@Colin_Weaver is there any way that the OP can obtain a version of BE that will run on W2003 and supports Exch2003? 

Colin_Weaver
Moderator
Moderator
Employee Accredited Certified

Due to US software export restrictions downloading any version of BE is only possible against a registered account. I am not 100% sure if Customer Care can release software for a version that is older than current but newer than that actually licensed by the orginal poster (they would need to speak to customer care for that as Tech Support definitely cannot arrange it) The current version can be downloaded from the trialware site using the Vox forum registration details (I believe) - but this won't help as it does not support the original poster's environment.

With regards versions - Backup Exec 2012 is the highest version that supports both Windows 2003 and Exchange 2003. Backup Exec 2012 is also End of Support. However if familiar with BE 10D then BE 2010 R3 would probably be a batter match.

All BE versions will run in trailware for a period if installed without a licence (as such they should not need licences)

Thank you for your efforts... so, I guess I am out of luck, then!?